Package be.ehealth.businessconnector.therlink.mappers

# Class RequestObjectMapper

java.lang.Object
be.ehealth.businessconnector.therlink.mappers.RequestObjectMapper

public class RequestObjectMapper extends Object
Mapper for Request objects Factory : `MapperFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `createTherapeuticLinkAsXmlString(TherapeuticLink therLink)`
  Creates a TherapeuticLink XML String from a TherapeuticLink object
  `GetTherapeuticLinkRequest`
  `mapGetTherapeuticLinkRequest(GetTherapeuticLinkRequest request)`
  `String`
  `mapGetTherapeuticLinkToXml(GetTherapeuticLinkRequest request)`
  Maps a getTherapeuticLink object to a XML string
  `HasTherapeuticLinkRequest`
  `mapHasTherapeuticLinkRequest(HasTherapeuticLinkRequest request)`
  `String`
  `mapHasTherapeuticLinkToXML(HasTherapeuticLinkRequest request)`
  Maps a hasTherapeuticLink object to a XML string
  `PutTherapeuticLinkRequest`
  `mapPutTherapeuticLinkRequest(PutTherapeuticLinkRequest request)`
  Maps a putTherapeuticLink object to a jawb putTherapeuticLinkRequest
  `String`
  `mapPutTherapeuticLinkToXML(PutTherapeuticLinkRequest request)`
  Maps a putTherapeuticLink object to a XML string
  `RevokeTherapeuticLinkRequest`
  `mapRevokeTherapeuticLinkRequest(TherapeuticLinkRequestType request)`
  `String`
  `mapRevokeTherapeuticLinkToXML(RevokeTherapeuticLinkRequest request)`
  Maps a revokeTherapeuticLink object to a XML string

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### mapPutTherapeuticLinkToXML

    public String mapPutTherapeuticLinkToXML(PutTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Maps a putTherapeuticLink object to a XML string
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### mapRevokeTherapeuticLinkToXML

    public String mapRevokeTherapeuticLinkToXML(RevokeTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Maps a revokeTherapeuticLink object to a XML string
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### mapHasTherapeuticLinkToXML

    public String mapHasTherapeuticLinkToXML(HasTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Maps a hasTherapeuticLink object to a XML string
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### mapGetTherapeuticLinkToXml

    public String mapGetTherapeuticLinkToXml(GetTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Maps a getTherapeuticLink object to a XML string
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### mapPutTherapeuticLinkRequest

    public PutTherapeuticLinkRequest mapPutTherapeuticLinkRequest(PutTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Maps a putTherapeuticLink object to a jawb putTherapeuticLinkRequest
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### mapGetTherapeuticLinkRequest

    public GetTherapeuticLinkRequest mapGetTherapeuticLinkRequest(GetTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### mapHasTherapeuticLinkRequest

    public HasTherapeuticLinkRequest mapHasTherapeuticLinkRequest(HasTherapeuticLinkRequest request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`

  - ### mapRevokeTherapeuticLinkRequest

    public RevokeTherapeuticLinkRequest mapRevokeTherapeuticLinkRequest(TherapeuticLinkRequestType request) throws TechnicalConnectorException, TherLinkBusinessConnectorException
    Parameters:
      `request` -
    Returns:
    Throws:
      `TherLinkBusinessConnectorException`
      `TechnicalConnectorException`

  - ### createTherapeuticLinkAsXmlString

    public String createTherapeuticLinkAsXmlString(TherapeuticLink therLink) throws TherLinkBusinessConnectorException, TechnicalConnectorException
    Creates a TherapeuticLink XML String from a TherapeuticLink object
    Parameters:
      `patient` -
    Returns:
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`